Page MenuHomePhabricator

Allow MachO JIT debugging
ClosedPublic

Authored by loladiro on Jun 3 2014, 9:46 AM.

Details

Reviewers
loladiro
Summary

This is the LLDB side of http://reviews.llvm.org/D4005

Diff Detail

Event Timeline

loladiro updated this revision to Diff 10055.Jun 3 2014, 9:46 AM
loladiro retitled this revision from to Allow MachO JIT debugging.
loladiro updated this object.
loladiro edited the test plan for this revision. (Show Details)
loladiro added a subscriber: Unknown Object (MLST).
loladiro updated this revision to Diff 10381.Jun 12 2014, 10:58 PM
loladiro updated this revision to Diff 10646.Jun 19 2014, 10:41 AM

Slight adjustment to updateSectionLoadAddress to properly adjust the load address range of fake segments.

loladiro accepted this revision.Jun 30 2014, 12:53 PM
loladiro added a reviewer: loladiro.
This revision is now accepted and ready to land.Jun 30 2014, 12:53 PM
loladiro closed this revision.Jun 30 2014, 12:53 PM